## ros-noetic-visualization-rwt 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(visualization_rwt)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-visualization-rwt (0.1.1-2buster) buster; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-visualization-rwt (0.1.0-2buster) buster; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-visualization-rwt (0.0.5-2buster) buster; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-visualization-rwt (0.0.4-2buster) buster; urgency=high

  * update README and images (#70 <https://github.com/tork-a/visualization_rwt//issues/70>)
  * Contributors: Iory Yanokura

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-visualization-rwt (0.0.3-2buster) buster; urgency=high

  * rwt_robot_monitor depends on roslibjs_experimental whcih is not releaed yet
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-noetic-visualization-rwt (0.0.2-2buster) buster; urgency=high

  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * catkinize visualization_rwt packages
  * Contributors: Furushchev, Isaac IY Saito

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-visualization-rwt
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-visualization-rwt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rwt-app-chooser, ros-noetic-rwt-image-view, ros-noetic-rwt-plot, ros-noetic-rwt-speech-recognition, ros-noetic-rwt-utils-3rdparty
Description: visualization packages using rwt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-visualization-rwt//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-visualization-rwt 0.1.3

=== debian/changelog ===
ros-noetic-visualization-rwt (0.1.3-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Wed, 31 May 2023 15:00:00 -0000

ros-noetic-visualization-rwt (0.1.2-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Mon, 29 May 2023 15:00:00 -0000

ros-noetic-visualization-rwt (0.1.1-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-visualization-rwt (0.1.0-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-visualization-rwt (0.0.5-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-visualization-rwt (0.0.4-1focal) focal; urgency=high

  * update README and images (#70 <https://github.com/tork-a/visualization_rwt//issues/70>)
  * Contributors: Iory Yanokura

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-visualization-rwt (0.0.3-1focal) focal; urgency=high

  * rwt_robot_monitor depends on roslibjs_experimental whcih is not releaed yet
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-noetic-visualization-rwt (0.0.2-1focal) focal; urgency=high

  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * catkinize visualization_rwt packages
  * Contributors: Furushchev, Isaac IY Saito

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
